Package com.tietoenator.trip.jxp.graph

# Class TdbGraphNotification

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.graph.TdbGraphNotification

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbGraphNotification extends TdbSessionObject implements com.tietoenator.trip.jxp.internal.utils.DOMSink
Data provided with a graph analysis notification.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbGraphNotification(TdbSession session)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TdbGraphPath[]`
  `getResultPaths()`
  Returns the paths so far fully determined to be part of the result of the current analysis operation.
  `int`
  `getTotalResultCount()`
  Total number of result paths so far
  `int`
  `getTotalWorkingCount()`
  The current total number of working paths.
  `TdbGraphPath[]`
  `getWorkingPaths()`
  Returns the paths currently being analyzed.

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbGraphNotification

    public TdbGraphNotification(TdbSession session) throws TdbException
    Constructor
    Throws:
      `TdbException` - If the current session does not support notifications

- ## Method Details

  - ### getWorkingPaths

    public TdbGraphPath[] getWorkingPaths()
    Returns the paths currently being analyzed. This information is only provided if the graph notification detail type TdbGraphNotificationType.PATH_SNAPSHOT has been set to true using the method TdbGraph.setNotificationType. If the total number of working paths is very large, this array may not contain all of them.
    Returns:
      Array of TdbGraphPath objects

  - ### getResultPaths

    public TdbGraphPath[] getResultPaths()
    Returns the paths so far fully determined to be part of the result of the current analysis operation. This information is only provided if the graph notification detail type TdbGraphNotificationType.PATH_SNAPSHOT has been set to true using the method TdbGraph.setNotificationType. If the total number of working paths is very large, this array may not contain all of them.
    Returns:
      Array of TdbGraphPath objects

  - ### getTotalWorkingCount

    public int getTotalWorkingCount()
    The current total number of working paths.
    Returns:
      Path count

  - ### getTotalResultCount

    public int getTotalResultCount()
    Total number of result paths so far
    Returns:
      Path count